using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 检查项目分类表
    /// </summary>
    [Description("检查项目分类表")]
    public class T_BS_CHECK_PROJECT_CATEGORY : MesEntityBase
    {
        /// <summary>
        /// 名称
        /// </summary>
        [Description("检查项目分类")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(100)]
        public string NAME { get; set; }

        /// <summary>
        /// 检查类型表
        /// </summary>
        [Description("检查类型等级编号")]
        [DataFieldLength(50)]
        public string CODE { get; set; }

        /// <summary>
        /// 启用标志
        /// </summary>
        [Description("启用标志")]
        [EnumName("FMEnableStatusEnum")]
        [FormFieldTable]
        [FormFieldEdit]
        public int ENABLE_STATUS { get; set; }

        /// <summary>
        /// 排序号
        /// </summary>
        [Description("排序号")]
        [FormFieldEdit]
        public int NUM { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [Description("备注")]
        [FormFieldEdit]
        [DataFieldLength(500)]
        public string REMARK { get; set; }

        /// <summary>
        /// 导航：分类对应范围字表
        /// </summary>
        [Description("导航：分类对应范围字表")]
        [FormFieldEdit]
        public virtual List<T_BS_CHECK_PROJECT_CATEGORY_OBJECT> Nav_ListOBJECT { get; set; }


        /// <summary>
        /// 导航：分类对应检查类型
        /// </summary>
        [Description("导航：分类对应检查类型")]
        [FormFieldEdit]
        public virtual List<T_BS_CHECK_PROJECT_CATEGORY_CHECKTYPE> Nav_ListCategoryType { get; set; }

    }
}
